﻿Imports ThinkGeo.MapSuite.Core
Imports System.Drawing.Text
Public Class Form1

   Public Function GetTextImage(ByVal oFont As GeoFont, ByVal oBrush As GeoSolidBrush, ByVal oSize As Size) As Bitmap
      Dim oCanvas As New GdiPlusGeoCanvas
      Dim oBitmap As Bitmap
      Dim oCanvasRect As RectangleShape
      Dim iWidth As Integer = oSize.Width
      Dim iHeight As Integer = oSize.Height

      oCanvas.SmoothingMode = Drawing2D.SmoothingMode.HighSpeed
      oCanvas.TextRenderingHint = TextRenderingHint.AntiAlias
      oCanvas.DrawingQuality = DrawingQuality.CanvasSettings

      '***** Define the size of the canvas
      oCanvasRect = New RectangleShape(0, iHeight, iWidth, 0)

      '***** Create a new bitamp, to be returned by the function
      oBitmap = New Bitmap(iWidth, iHeight)

      oCanvas.BeginDrawing(oBitmap, oCanvasRect, GeographyUnit.Meter)

      oCanvas.DrawTextWithWorldCoordinate("Sample Text",
                                           oFont,
                                           oBrush,
                                           0,
                                           oSize.Height - 20,
                                           DrawingLevel.LabelLevel)


      oCanvas.EndDrawing()

      Return oBitmap
   End Function

   Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
      Dim oFont As New GeoFont("Arial", 12, DrawingFontStyles.Regular)
      Dim oBrush As New GeoSolidBrush(GeoColor.SimpleColors.Black)

      Me.lblText.Image = GetTextImage(oFont, oBrush, lblText.Size)
   End Sub
End Class
